package Client;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import pkg.SequenceWithSG;

public class TestPKStrategies {

    private static EntityManagerFactory emf;
    private static EntityManager em;
    
    public TestPKStrategies() {
    }
    
    public static void main(String[] args) {
        TestPKStrategies qe = new TestPKStrategies();
        
        emf = Persistence.createEntityManagerFactory("TryingPKStrategiesPU");
        em = emf.createEntityManager();
        
        qe.testSequenceWithSG();
    }

    private void testSequenceWithSG() {
        em.getTransaction().begin();
        SequenceWithSG entity1 = new SequenceWithSG();
        SequenceWithSG entity2 = new SequenceWithSG();
        em.persist(entity1);
        em.persist(entity2);
        em.getTransaction().commit();
        
        System.out.println("SequenceWithSG: Id generated - " + entity1.getId());
        System.out.println("SequenceWithSG: Id generated - " + entity2.getId());
    }
    
}
